harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konstantin Lupach" <konstantin.lup...@gmail.com>
Subject latest stable packages JRE packages - jre-r603534 (M4)
Date Tue, 15 Jan 2008 17:30:45 GMT
Hi All,

I gave a try these packages on Linux IA32 host with RHEL3 update 6 and
noticed that both apache-harmony-jre-r603534-linux-x86-32-libstdc++v6-
snapshot.tar.gz and
apache-harmony-jre-r603534-linux-x86-32-snapshot.tar.gzrequire
libstdc++.so.6. Was the 2-nd package built in a wrong compiler
environment?

The 2-nd question is about libstdc++ dependency. Why not to incapsulate this
VM libraries dependecy? It can be either linked statically or if you want to
reduce libraries size it is possible to put it to the build directory and
provide a single IA32 package instead of 2 stdc++ dependent as it is done
now.

We are looking at the opportunity to use a single VM package (per CPU
architecture and OS family) and redistribute it with our product that is
distributed in the binary form and supports a large variety of Linux
operating systems.

-- 
Kind regards,
Konstantin Lupach

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message